//
//  CFRMandelbrotRender.h
//  Mandelbrot
//
//  Created by Renaud Pradenc on 03/02/09.
//  Copyright 2009 Céroce. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CFRComplexe.h"

@interface CFRMandelbrotRender : NSObject {
	
	// Dimensions de la bitmap
	NSUInteger largeurBitmap;	
	NSUInteger hauteurBitmap;
	
	// Intervalle de calcul
	double largeur;		// Largeur de l'intervalle du repère calculé
	Complexe_t centre;	// Centre du repère
	
	unsigned char maxIterations; // Nombre maximal d'itérations pour le calcul d'un pixel.
	
	BOOL	besoinMAJ;	// Indique qu'une mise à jour est nécessaire
	
}

#pragma mark Accesseurs
- (void) setLargeurBitmap:(NSUInteger)largeurPixels;
- (void) setHauteurBitmap:(NSUInteger)hauteurPixels;
- (void) setMaxIterations:(int)iterations;
- (int) maxIterations;

#pragma mark Coordonnées
- (void) zoomerDuFacteur:(double)facteur;
- (void) decalerCentreX:(NSInteger)horiz y:(NSInteger)verti;

#pragma mark Rendu
- (NSBitmapImageRep*) bitmapImageRep;

- (Complexe_t) complexeAvecCoordBitmapX:(NSUInteger)x y:(NSUInteger)y;

@end
